1# Makefile.in generated by automake 1.16.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2018 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \	]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91TESTS = test_logging$(EXEEXT) test_marshallers$(EXEEXT) \
92	test_ssl_verify$(EXEEXT) $(am__EXEEXT_1) test_region$(EXEEXT) \
93	test_dummy_recorder$(EXEEXT) test_utils$(EXEEXT)
94noinst_PROGRAMS = $(am__EXEEXT_2) helper_fuzzer_demarshallers$(EXEEXT)
95@HAVE_GDK_PIXBUF_TRUE@am__append_1 = test_quic
96subdir = tests
97ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
98am__aclocal_m4_deps = $(top_srcdir)/m4/ax_python_module.m4 \
99	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
100	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
101	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/spice-deps.m4 \
102	$(top_srcdir)/m4/spice_manual.m4 $(top_srcdir)/configure.ac
103am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
104	$(ACLOCAL_M4)
105DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
106mkinstalldirs = $(install_sh) -d
107CONFIG_HEADER = $(top_builddir)/config.h
108CONFIG_CLEAN_FILES =
109CONFIG_CLEAN_VPATH_FILES =
110@HAVE_GDK_PIXBUF_TRUE@am__EXEEXT_1 = test_quic$(EXEEXT)
111am__EXEEXT_2 = test_logging$(EXEEXT) test_marshallers$(EXEEXT) \
112	test_ssl_verify$(EXEEXT) $(am__EXEEXT_1) test_region$(EXEEXT) \
113	test_dummy_recorder$(EXEEXT) test_utils$(EXEEXT)
114PROGRAMS = $(noinst_PROGRAMS)
115am__objects_1 =
116am_helper_fuzzer_demarshallers_OBJECTS = helper_fuzzer_demarshallers-helper-fuzzer-demarshallers.$(OBJEXT) \
117	helper_fuzzer_demarshallers-generated_test_demarshallers.$(OBJEXT) \
118	$(am__objects_1)
119helper_fuzzer_demarshallers_OBJECTS =  \
120	$(am_helper_fuzzer_demarshallers_OBJECTS)
121am__DEPENDENCIES_1 =
122helper_fuzzer_demarshallers_DEPENDENCIES =  \
123	$(top_builddir)/common/libspice-common.la \
124	$(top_builddir)/common/libspice-common-server.la \
125	$(top_builddir)/common/libspice-common-client.la \
126	$(am__DEPENDENCIES_1)
127AM_V_lt = $(am__v_lt_@AM_V@)
128am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
129am__v_lt_0 = --silent
130am__v_lt_1 =
131helper_fuzzer_demarshallers_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
132	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
133	$(helper_fuzzer_demarshallers_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
134	$(LDFLAGS) -o $@
135am_test_dummy_recorder_OBJECTS =  \
136	test_dummy_recorder-test-dummy-recorder.$(OBJEXT) \
137	$(am__objects_1)
138test_dummy_recorder_OBJECTS = $(am_test_dummy_recorder_OBJECTS)
139test_dummy_recorder_DEPENDENCIES =  \
140	$(top_builddir)/common/libspice-common.la \
141	$(am__DEPENDENCIES_1)
142test_dummy_recorder_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
143	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
144	$(test_dummy_recorder_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
145	$(LDFLAGS) -o $@
146am_test_logging_OBJECTS = test_logging-test-logging.$(OBJEXT)
147test_logging_OBJECTS = $(am_test_logging_OBJECTS)
148test_logging_DEPENDENCIES = $(top_builddir)/common/libspice-common.la \
149	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
150test_logging_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
151	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(test_logging_CFLAGS) \
152	$(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
153am__objects_2 = test_marshallers-generated_test_marshallers.$(OBJEXT) \
154	test_marshallers-generated_test_demarshallers.$(OBJEXT) \
155	$(am__objects_1)
156am_test_marshallers_OBJECTS = $(am__objects_2) \
157	test_marshallers-test-marshallers.$(OBJEXT) $(am__objects_1)
158test_marshallers_OBJECTS = $(am_test_marshallers_OBJECTS)
159test_marshallers_DEPENDENCIES =  \
160	$(top_builddir)/common/libspice-common.la \
161	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
162test_marshallers_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
163	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
164	$(test_marshallers_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
165	-o $@
166am__test_quic_SOURCES_DIST = test-quic.c
167@HAVE_GDK_PIXBUF_TRUE@am_test_quic_OBJECTS =  \
168@HAVE_GDK_PIXBUF_TRUE@	test_quic-test-quic.$(OBJEXT) \
169@HAVE_GDK_PIXBUF_TRUE@	$(am__objects_1)
170test_quic_OBJECTS = $(am_test_quic_OBJECTS)
171@HAVE_GDK_PIXBUF_TRUE@test_quic_DEPENDENCIES = $(top_builddir)/common/libspice-common.la \
172@HAVE_GDK_PIXBUF_TRUE@	$(am__DEPENDENCIES_1) \
173@HAVE_GDK_PIXBUF_TRUE@	$(am__DEPENDENCIES_1) \
174@HAVE_GDK_PIXBUF_TRUE@	$(am__DEPENDENCIES_1)
175test_quic_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
176	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(test_quic_CFLAGS) \
177	$(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
178am_test_region_OBJECTS = test_region-test-region.$(OBJEXT) \
179	$(am__objects_1)
180test_region_OBJECTS = $(am_test_region_OBJECTS)
181test_region_DEPENDENCIES = $(top_builddir)/common/libspice-common.la \
182	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
183test_region_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
184	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(test_region_CFLAGS) \
185	$(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
186am_test_ssl_verify_OBJECTS =  \
187	test_ssl_verify-test-ssl-verify.$(OBJEXT) $(am__objects_1)
188test_ssl_verify_OBJECTS = $(am_test_ssl_verify_OBJECTS)
189test_ssl_verify_DEPENDENCIES =  \
190	$(top_builddir)/common/libspice-common-client.la \
191	$(top_builddir)/common/libspice-common.la \
192	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
193	$(am__DEPENDENCIES_1)
194test_ssl_verify_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
195	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
196	$(test_ssl_verify_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
197	-o $@
198am_test_utils_OBJECTS = test_utils-test-utils.$(OBJEXT) \
199	$(am__objects_1)
200test_utils_OBJECTS = $(am_test_utils_OBJECTS)
201test_utils_DEPENDENCIES = $(top_builddir)/common/libspice-common.la \
202	$(am__DEPENDENCIES_1)
203test_utils_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
204	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(test_utils_CFLAGS) \
205	$(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
206AM_V_P = $(am__v_P_@AM_V@)
207am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
208am__v_P_0 = false
209am__v_P_1 = :
210AM_V_GEN = $(am__v_GEN_@AM_V@)
211am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
212am__v_GEN_0 = @echo "  GEN     " $@;
213am__v_GEN_1 =
214AM_V_at = $(am__v_at_@AM_V@)
215am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
216am__v_at_0 = @
217am__v_at_1 =
218DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
219depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
220am__maybe_remake_depfiles = depfiles
221am__depfiles_remade = ./$(DEPDIR)/helper_fuzzer_demarshallers-generated_test_demarshallers.Po \
222	./$(DEPDIR)/helper_fuzzer_demarshallers-helper-fuzzer-demarshallers.Po \
223	./$(DEPDIR)/test_dummy_recorder-test-dummy-recorder.Po \
224	./$(DEPDIR)/test_logging-test-logging.Po \
225	./$(DEPDIR)/test_marshallers-generated_test_demarshallers.Po \
226	./$(DEPDIR)/test_marshallers-generated_test_marshallers.Po \
227	./$(DEPDIR)/test_marshallers-test-marshallers.Po \
228	./$(DEPDIR)/test_quic-test-quic.Po \
229	./$(DEPDIR)/test_region-test-region.Po \
230	./$(DEPDIR)/test_ssl_verify-test-ssl-verify.Po \
231	./$(DEPDIR)/test_utils-test-utils.Po
232am__mv = mv -f
233COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
234	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
235LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
236	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
237	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
238	$(AM_CFLAGS) $(CFLAGS)
239AM_V_CC = $(am__v_CC_@AM_V@)
240am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
241am__v_CC_0 = @echo "  CC      " $@;
242am__v_CC_1 =
243CCLD = $(CC)
244LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
245	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
246	$(AM_LDFLAGS) $(LDFLAGS) -o $@
247AM_V_CCLD = $(am__v_CCLD_@AM_V@)
248am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
249am__v_CCLD_0 = @echo "  CCLD    " $@;
250am__v_CCLD_1 =
251SOURCES = $(helper_fuzzer_demarshallers_SOURCES) \
252	$(test_dummy_recorder_SOURCES) $(test_logging_SOURCES) \
253	$(test_marshallers_SOURCES) $(test_quic_SOURCES) \
254	$(test_region_SOURCES) $(test_ssl_verify_SOURCES) \
255	$(test_utils_SOURCES)
256DIST_SOURCES = $(helper_fuzzer_demarshallers_SOURCES) \
257	$(test_dummy_recorder_SOURCES) $(test_logging_SOURCES) \
258	$(test_marshallers_SOURCES) $(am__test_quic_SOURCES_DIST) \
259	$(test_region_SOURCES) $(test_ssl_verify_SOURCES) \
260	$(test_utils_SOURCES)
261am__can_run_installinfo = \
262  case $$AM_UPDATE_INFO_DIR in \
263    n|no|NO) false;; \
264    *) (install-info --version) >/dev/null 2>&1;; \
265  esac
266am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
267# Read a list of newline-separated strings from the standard input,
268# and print each of them once, without duplicates.  Input order is
269# *not* preserved.
270am__uniquify_input = $(AWK) '\
271  BEGIN { nonempty = 0; } \
272  { items[$$0] = 1; nonempty = 1; } \
273  END { if (nonempty) { for (i in items) print i; }; } \
274'
275# Make sure the list of sources is unique.  This is necessary because,
276# e.g., the same source file might be shared among _SOURCES variables
277# for different programs/libraries.
278am__define_uniq_tagged_files = \
279  list='$(am__tagged_files)'; \
280  unique=`for i in $$list; do \
281    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
282  done | $(am__uniquify_input)`
283ETAGS = etags
284CTAGS = ctags
285am__tty_colors_dummy = \
286  mgn= red= grn= lgn= blu= brg= std=; \
287  am__color_tests=no
288am__tty_colors = { \
289  $(am__tty_colors_dummy); \
290  if test "X$(AM_COLOR_TESTS)" = Xno; then \
291    am__color_tests=no; \
292  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
293    am__color_tests=yes; \
294  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
295    am__color_tests=yes; \
296  fi; \
297  if test $$am__color_tests = yes; then \
298    red=''; \
299    grn=''; \
300    lgn=''; \
301    blu=''; \
302    mgn=''; \
303    brg=''; \
304    std=''; \
305  fi; \
306}
307am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
308am__vpath_adj = case $$p in \
309    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
310    *) f=$$p;; \
311  esac;
312am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
313am__install_max = 40
314am__nobase_strip_setup = \
315  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
316am__nobase_strip = \
317  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
318am__nobase_list = $(am__nobase_strip_setup); \
319  for p in $$list; do echo "$$p $$p"; done | \
320  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
321  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
322    if (++n[$$2] == $(am__install_max)) \
323      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
324    END { for (dir in files) print dir, files[dir] }'
325am__base_list = \
326  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
327  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
328am__uninstall_files_from_dir = { \
329  test -z "$$files" \
330    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
331    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
332         $(am__cd) "$$dir" && rm -f $$files; }; \
333  }
334am__recheck_rx = ^[ 	]*:recheck:[ 	]*
335am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
336am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
337# A command that, given a newline-separated list of test names on the
338# standard input, print the name of the tests that are to be re-run
339# upon "make recheck".
340am__list_recheck_tests = $(AWK) '{ \
341  recheck = 1; \
342  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
343    { \
344      if (rc < 0) \
345        { \
346          if ((getline line2 < ($$0 ".log")) < 0) \
347	    recheck = 0; \
348          break; \
349        } \
350      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
351        { \
352          recheck = 0; \
353          break; \
354        } \
355      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
356        { \
357          break; \
358        } \
359    }; \
360  if (recheck) \
361    print $$0; \
362  close ($$0 ".trs"); \
363  close ($$0 ".log"); \
364}'
365# A command that, given a newline-separated list of test names on the
366# standard input, create the global log from their .trs and .log files.
367am__create_global_log = $(AWK) ' \
368function fatal(msg) \
369{ \
370  print "fatal: making $@: " msg | "cat >&2"; \
371  exit 1; \
372} \
373function rst_section(header) \
374{ \
375  print header; \
376  len = length(header); \
377  for (i = 1; i <= len; i = i + 1) \
378    printf "="; \
379  printf "\n\n"; \
380} \
381{ \
382  copy_in_global_log = 1; \
383  global_test_result = "RUN"; \
384  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
385    { \
386      if (rc < 0) \
387         fatal("failed to read from " $$0 ".trs"); \
388      if (line ~ /$(am__global_test_result_rx)/) \
389        { \
390          sub("$(am__global_test_result_rx)", "", line); \
391          sub("[ 	]*$$", "", line); \
392          global_test_result = line; \
393        } \
394      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
395        copy_in_global_log = 0; \
396    }; \
397  if (copy_in_global_log) \
398    { \
399      rst_section(global_test_result ": " $$0); \
400      while ((rc = (getline line < ($$0 ".log"))) != 0) \
401      { \
402        if (rc < 0) \
403          fatal("failed to read from " $$0 ".log"); \
404        print line; \
405      }; \
406      printf "\n"; \
407    }; \
408  close ($$0 ".trs"); \
409  close ($$0 ".log"); \
410}'
411# Restructured Text title.
412am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
413# Solaris 10 'make', and several other traditional 'make' implementations,
414# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
415# by disabling -e (using the XSI extension "set +e") if it's set.
416am__sh_e_setup = case $$- in *e*) set +e;; esac
417# Default flags passed to test drivers.
418am__common_driver_flags = \
419  --color-tests "$$am__color_tests" \
420  --enable-hard-errors "$$am__enable_hard_errors" \
421  --expect-failure "$$am__expect_failure"
422# To be inserted before the command running the test.  Creates the
423# directory for the log if needed.  Stores in $dir the directory
424# containing $f, in $tst the test, in $log the log.  Executes the
425# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
426# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
427# will run the test scripts (or their associated LOG_COMPILER, if
428# thy have one).
429am__check_pre = \
430$(am__sh_e_setup);					\
431$(am__vpath_adj_setup) $(am__vpath_adj)			\
432$(am__tty_colors);					\
433srcdir=$(srcdir); export srcdir;			\
434case "$@" in						\
435  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
436    *) am__odir=.;; 					\
437esac;							\
438test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
439  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
440if test -f "./$$f"; then dir=./;			\
441elif test -f "$$f"; then dir=;				\
442else dir="$(srcdir)/"; fi;				\
443tst=$$dir$$f; log='$@'; 				\
444if test -n '$(DISABLE_HARD_ERRORS)'; then		\
445  am__enable_hard_errors=no; 				\
446else							\
447  am__enable_hard_errors=yes; 				\
448fi; 							\
449case " $(XFAIL_TESTS) " in				\
450  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
451    am__expect_failure=yes;;				\
452  *)							\
453    am__expect_failure=no;;				\
454esac; 							\
455$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
456# A shell command to get the names of the tests scripts with any registered
457# extension removed (i.e., equivalently, the names of the test logs, with
458# the '.log' extension removed).  The result is saved in the shell variable
459# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
460# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
461# since that might cause problem with VPATH rewrites for suffix-less tests.
462# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
463am__set_TESTS_bases = \
464  bases='$(TEST_LOGS)'; \
465  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
466  bases=`echo $$bases`
467RECHECK_LOGS = $(TEST_LOGS)
468AM_RECURSIVE_TARGETS = check recheck
469TEST_SUITE_LOG = test-suite.log
470TEST_EXTENSIONS = @EXEEXT@ .test
471LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
472LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
473am__set_b = \
474  case '$@' in \
475    */*) \
476      case '$*' in \
477        */*) b='$*';; \
478          *) b=`echo '$@' | sed 's/\.log$$//'`; \
479       esac;; \
480    *) \
481      b='$*';; \
482  esac
483am__test_logs1 = $(TESTS:=.log)
484am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
485TEST_LOGS = $(am__test_logs2:.test.log=.log)
486TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
487TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
488	$(TEST_LOG_FLAGS)
489am__DIST_COMMON = $(srcdir)/Makefile.in \
490	$(top_srcdir)/build-aux/depcomp \
491	$(top_srcdir)/build-aux/test-driver
492DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
493A2X = @A2X@
494ACLOCAL = @ACLOCAL@
495ALLOCA = @ALLOCA@
496AMTAR = @AMTAR@
497AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
498AR = @AR@
499ASCIIDOC = @ASCIIDOC@
500AUTOCONF = @AUTOCONF@
501AUTOHEADER = @AUTOHEADER@
502AUTOMAKE = @AUTOMAKE@
503AWK = @AWK@
504CC = @CC@
505CCDEPMODE = @CCDEPMODE@
506CFLAGS = @CFLAGS@
507CPP = @CPP@
508CPPFLAGS = @CPPFLAGS@
509CYGPATH_W = @CYGPATH_W@
510DEFS = @DEFS@
511DEPDIR = @DEPDIR@
512DLLTOOL = @DLLTOOL@
513DSYMUTIL = @DSYMUTIL@
514DUMPBIN = @DUMPBIN@
515ECHO_C = @ECHO_C@
516ECHO_N = @ECHO_N@
517ECHO_T = @ECHO_T@
518EGREP = @EGREP@
519EXEEXT = @EXEEXT@
520FGREP = @FGREP@
521GDK_PIXBUF_CFLAGS = @GDK_PIXBUF_CFLAGS@
522GDK_PIXBUF_LIBS = @GDK_PIXBUF_LIBS@
523GIO2_CFLAGS = @GIO2_CFLAGS@
524GIO2_LIBS = @GIO2_LIBS@
525GLIB2_CFLAGS = @GLIB2_CFLAGS@
526GLIB2_LIBS = @GLIB2_LIBS@
527GREP = @GREP@
528INSTALL = @INSTALL@
529INSTALL_DATA = @INSTALL_DATA@
530INSTALL_PROGRAM = @INSTALL_PROGRAM@
531INSTALL_SCRIPT = @INSTALL_SCRIPT@
532INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
533LD = @LD@
534LDFLAGS = @LDFLAGS@
535LIBOBJS = @LIBOBJS@
536LIBS = @LIBS@
537LIBTOOL = @LIBTOOL@
538LIPO = @LIPO@
539LN_S = @LN_S@
540LTLIBOBJS = @LTLIBOBJS@
541LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
542MAINT = @MAINT@
543MAKEINFO = @MAKEINFO@
544MANIFEST_TOOL = @MANIFEST_TOOL@
545MKDIR_P = @MKDIR_P@
546NM = @NM@
547NMEDIT = @NMEDIT@
548OBJDUMP = @OBJDUMP@
549OBJEXT = @OBJEXT@
550OPENSSL_CFLAGS = @OPENSSL_CFLAGS@
551OPENSSL_LIBS = @OPENSSL_LIBS@
552OPUS_CFLAGS = @OPUS_CFLAGS@
553OPUS_LIBS = @OPUS_LIBS@
554OTOOL = @OTOOL@
555OTOOL64 = @OTOOL64@
556PACKAGE = @PACKAGE@
557PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
558PACKAGE_NAME = @PACKAGE_NAME@
559PACKAGE_STRING = @PACKAGE_STRING@
560PACKAGE_TARNAME = @PACKAGE_TARNAME@
561PACKAGE_URL = @PACKAGE_URL@
562PACKAGE_VERSION = @PACKAGE_VERSION@
563PATH_SEPARATOR = @PATH_SEPARATOR@
564PIXMAN_CFLAGS = @PIXMAN_CFLAGS@
565PIXMAN_LIBS = @PIXMAN_LIBS@
566PKG_CONFIG = @PKG_CONFIG@
567PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
568PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
569PROTOCOL_CFLAGS = @PROTOCOL_CFLAGS@
570PROTOCOL_LIBS = @PROTOCOL_LIBS@
571PYTHON = @PYTHON@
572PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
573PYTHON_PLATFORM = @PYTHON_PLATFORM@
574PYTHON_PREFIX = @PYTHON_PREFIX@
575PYTHON_VERSION = @PYTHON_VERSION@
576RANLIB = @RANLIB@
577SED = @SED@
578SET_MAKE = @SET_MAKE@
579SHELL = @SHELL@
580SMARTCARD_CFLAGS = @SMARTCARD_CFLAGS@
581SMARTCARD_LIBS = @SMARTCARD_LIBS@
582SPICE_COMMON_CFLAGS = @SPICE_COMMON_CFLAGS@
583SPICE_COMMON_LIBS = @SPICE_COMMON_LIBS@
584STRIP = @STRIP@
585VERSION = @VERSION@
586abs_builddir = @abs_builddir@
587abs_srcdir = @abs_srcdir@
588abs_top_builddir = @abs_top_builddir@
589abs_top_srcdir = @abs_top_srcdir@
590ac_ct_AR = @ac_ct_AR@
591ac_ct_CC = @ac_ct_CC@
592ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
593am__include = @am__include@
594am__leading_dot = @am__leading_dot@
595am__quote = @am__quote@
596am__tar = @am__tar@
597am__untar = @am__untar@
598bindir = @bindir@
599build = @build@
600build_alias = @build_alias@
601build_cpu = @build_cpu@
602build_os = @build_os@
603build_vendor = @build_vendor@
604builddir = @builddir@
605datadir = @datadir@
606datarootdir = @datarootdir@
607docdir = @docdir@
608dvidir = @dvidir@
609exec_prefix = @exec_prefix@
610host = @host@
611host_alias = @host_alias@
612host_cpu = @host_cpu@
613host_os = @host_os@
614host_vendor = @host_vendor@
615htmldir = @htmldir@
616includedir = @includedir@
617infodir = @infodir@
618install_sh = @install_sh@
619libdir = @libdir@
620libexecdir = @libexecdir@
621localedir = @localedir@
622localstatedir = @localstatedir@
623mandir = @mandir@
624mkdir_p = @mkdir_p@
625oldincludedir = @oldincludedir@
626pdfdir = @pdfdir@
627pkgpyexecdir = @pkgpyexecdir@
628pkgpythondir = @pkgpythondir@
629prefix = @prefix@
630program_transform_name = @program_transform_name@
631psdir = @psdir@
632pyexecdir = @pyexecdir@
633pythondir = @pythondir@
634sbindir = @sbindir@
635sharedstatedir = @sharedstatedir@
636srcdir = @srcdir@
637sysconfdir = @sysconfdir@
638target_alias = @target_alias@
639top_build_prefix = @top_build_prefix@
640top_builddir = @top_builddir@
641top_srcdir = @top_srcdir@
642NULL =
643test_logging_SOURCES = test-logging.c
644test_logging_CFLAGS = \
645	-I$(top_srcdir)			\
646	$(GLIB2_CFLAGS)			\
647	$(GIO_UNIX_CFLAGS)		\
648	$(PROTOCOL_CFLAGS)		\
649	$(NULL)
650
651test_logging_LDADD = \
652	$(top_builddir)/common/libspice-common.la	\
653	$(GLIB2_LIBS)					\
654	$(GIO_UNIX_LIBS)				\
655	$(NULL)
656
657test_marshallers_SOURCES = \
658	$(TEST_MARSHALLERS)		\
659	test-marshallers.c		\
660	test-marshallers.h		\
661	$(NULL)
662
663test_marshallers_CFLAGS = \
664	-I$(top_srcdir)			\
665	$(GLIB2_CFLAGS)			\
666	$(PROTOCOL_CFLAGS)		\
667	$(NULL)
668
669test_marshallers_LDADD = \
670	$(top_builddir)/common/libspice-common.la	\
671	$(GLIB2_LIBS)					\
672	$(NULL)
673
674@HAVE_GDK_PIXBUF_TRUE@test_quic_SOURCES = \
675@HAVE_GDK_PIXBUF_TRUE@	test-quic.c			\
676@HAVE_GDK_PIXBUF_TRUE@	$(NULL)
677
678@HAVE_GDK_PIXBUF_TRUE@test_quic_CFLAGS = \
679@HAVE_GDK_PIXBUF_TRUE@	-I$(top_srcdir)			\
680@HAVE_GDK_PIXBUF_TRUE@	$(GLIB2_CFLAGS)			\
681@HAVE_GDK_PIXBUF_TRUE@	$(GDK_PIXBUF_CFLAGS)		\
682@HAVE_GDK_PIXBUF_TRUE@	$(PROTOCOL_CFLAGS)		\
683@HAVE_GDK_PIXBUF_TRUE@	$(NULL)
684
685@HAVE_GDK_PIXBUF_TRUE@test_quic_LDADD = \
686@HAVE_GDK_PIXBUF_TRUE@	$(top_builddir)/common/libspice-common.la	\
687@HAVE_GDK_PIXBUF_TRUE@	$(GLIB2_LIBS)					\
688@HAVE_GDK_PIXBUF_TRUE@	$(GDK_PIXBUF_LIBS)				\
689@HAVE_GDK_PIXBUF_TRUE@	$(NULL)
690
691test_region_SOURCES = \
692	test-region.c \
693	$(NULL)
694
695test_region_CFLAGS = \
696	-I$(top_srcdir)			\
697	$(SPICE_COMMON_CFLAGS)		\
698	$(PROTOCOL_CFLAGS)		\
699	$(NULL)
700
701test_region_LDADD = \
702	$(top_builddir)/common/libspice-common.la	\
703	$(SPICE_COMMON_LIBS)				\
704	$(NULL)
705
706test_dummy_recorder_SOURCES = \
707	test-dummy-recorder.c		\
708	$(NULL)
709
710test_dummy_recorder_CFLAGS = \
711	-I$(top_srcdir)			\
712	$(PROTOCOL_CFLAGS)		\
713	$(NULL)
714
715test_dummy_recorder_LDADD = \
716	$(top_builddir)/common/libspice-common.la	\
717	$(NULL)
718
719test_utils_SOURCES = \
720	test-utils.c			\
721	$(NULL)
722
723test_utils_CFLAGS = \
724	-I$(top_srcdir)			\
725	$(GLIB2_CFLAGS)			\
726	$(NULL)
727
728test_utils_LDADD = \
729	$(top_builddir)/common/libspice-common.la	\
730	$(NULL)
731
732helper_fuzzer_demarshallers_SOURCES = \
733	helper-fuzzer-demarshallers.c	\
734	generated_test_demarshallers.c	\
735	$(NULL)
736
737helper_fuzzer_demarshallers_CFLAGS = \
738	-I$(top_srcdir)			\
739	$(GLIB2_CFLAGS)			\
740	$(PROTOCOL_CFLAGS)		\
741	$(NULL)
742
743helper_fuzzer_demarshallers_LDADD = \
744	$(top_builddir)/common/libspice-common.la	        \
745	$(top_builddir)/common/libspice-common-server.la	\
746	$(top_builddir)/common/libspice-common-client.la	\
747	$(NULL)
748
749
750# Avoid need for python(pyparsing) by end users
751TEST_MARSHALLERS = \
752	generated_test_marshallers.c		\
753	generated_test_marshallers.h		\
754	generated_test_demarshallers.c		\
755	generated_test_enums.h			\
756	generated_test_messages.h		\
757	$(NULL)
758
759BUILT_SOURCES = $(TEST_MARSHALLERS)
760MARSHALLERS_DEPS = \
761	$(top_srcdir)/python_modules/__init__.py	\
762	$(top_srcdir)/python_modules/codegen.py		\
763	$(top_srcdir)/python_modules/demarshal.py	\
764	$(top_srcdir)/python_modules/marshal.py		\
765	$(top_srcdir)/python_modules/ptypes.py		\
766	$(top_srcdir)/python_modules/spice_parser.py	\
767	$(top_srcdir)/spice_codegen.py			\
768	$(NULL)
769
770EXTRA_DIST = \
771	$(TEST_MARSHALLERS)		\
772	meson.build			\
773	test-marshallers.proto		\
774	$(NULL)
775
776test_ssl_verify_SOURCES = \
777	test-ssl-verify.c			\
778	$(NULL)
779
780test_ssl_verify_CFLAGS = \
781	-I$(top_srcdir)			\
782	$(GLIB2_CFLAGS)			\
783	$(PROTOCOL_CFLAGS)		\
784	$(OPENSSL_CFLAGS)		\
785	$(NULL)
786
787test_ssl_verify_LDADD = \
788	$(top_builddir)/common/libspice-common-client.la	\
789	$(top_builddir)/common/libspice-common.la		\
790	$(GLIB2_LIBS)						\
791	$(OPENSSL_LIBS)						\
792	$(NULL)
793
794all: $(BUILT_SOURCES)
795	$(MAKE) $(AM_MAKEFLAGS) all-am
796
797.SUFFIXES:
798.SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
799$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
800	@for dep in $?; do \
801	  case '$(am__configure_deps)' in \
802	    *$$dep*) \
803	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
804	        && { if test -f $@; then exit 0; else break; fi; }; \
805	      exit 1;; \
806	  esac; \
807	done; \
808	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/Makefile'; \
809	$(am__cd) $(top_srcdir) && \
810	  $(AUTOMAKE) --foreign tests/Makefile
811Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
812	@case '$?' in \
813	  *config.status*) \
814	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
815	  *) \
816	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
817	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
818	esac;
819
820$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
821	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
822
823$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
824	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
825$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
826	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
827$(am__aclocal_m4_deps):
828
829clean-noinstPROGRAMS:
830	@list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
831	echo " rm -f" $$list; \
832	rm -f $$list || exit $$?; \
833	test -n "$(EXEEXT)" || exit 0; \
834	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
835	echo " rm -f" $$list; \
836	rm -f $$list
837
838helper_fuzzer_demarshallers$(EXEEXT): $(helper_fuzzer_demarshallers_OBJECTS) $(helper_fuzzer_demarshallers_DEPENDENCIES) $(EXTRA_helper_fuzzer_demarshallers_DEPENDENCIES)
839	@rm -f helper_fuzzer_demarshallers$(EXEEXT)
840	$(AM_V_CCLD)$(helper_fuzzer_demarshallers_LINK) $(helper_fuzzer_demarshallers_OBJECTS) $(helper_fuzzer_demarshallers_LDADD) $(LIBS)
841
842test_dummy_recorder$(EXEEXT): $(test_dummy_recorder_OBJECTS) $(test_dummy_recorder_DEPENDENCIES) $(EXTRA_test_dummy_recorder_DEPENDENCIES)
843	@rm -f test_dummy_recorder$(EXEEXT)
844	$(AM_V_CCLD)$(test_dummy_recorder_LINK) $(test_dummy_recorder_OBJECTS) $(test_dummy_recorder_LDADD) $(LIBS)
845
846test_logging$(EXEEXT): $(test_logging_OBJECTS) $(test_logging_DEPENDENCIES) $(EXTRA_test_logging_DEPENDENCIES)
847	@rm -f test_logging$(EXEEXT)
848	$(AM_V_CCLD)$(test_logging_LINK) $(test_logging_OBJECTS) $(test_logging_LDADD) $(LIBS)
849
850test_marshallers$(EXEEXT): $(test_marshallers_OBJECTS) $(test_marshallers_DEPENDENCIES) $(EXTRA_test_marshallers_DEPENDENCIES)
851	@rm -f test_marshallers$(EXEEXT)
852	$(AM_V_CCLD)$(test_marshallers_LINK) $(test_marshallers_OBJECTS) $(test_marshallers_LDADD) $(LIBS)
853
854test_quic$(EXEEXT): $(test_quic_OBJECTS) $(test_quic_DEPENDENCIES) $(EXTRA_test_quic_DEPENDENCIES)
855	@rm -f test_quic$(EXEEXT)
856	$(AM_V_CCLD)$(test_quic_LINK) $(test_quic_OBJECTS) $(test_quic_LDADD) $(LIBS)
857
858test_region$(EXEEXT): $(test_region_OBJECTS) $(test_region_DEPENDENCIES) $(EXTRA_test_region_DEPENDENCIES)
859	@rm -f test_region$(EXEEXT)
860	$(AM_V_CCLD)$(test_region_LINK) $(test_region_OBJECTS) $(test_region_LDADD) $(LIBS)
861
862test_ssl_verify$(EXEEXT): $(test_ssl_verify_OBJECTS) $(test_ssl_verify_DEPENDENCIES) $(EXTRA_test_ssl_verify_DEPENDENCIES)
863	@rm -f test_ssl_verify$(EXEEXT)
864	$(AM_V_CCLD)$(test_ssl_verify_LINK) $(test_ssl_verify_OBJECTS) $(test_ssl_verify_LDADD) $(LIBS)
865
866test_utils$(EXEEXT): $(test_utils_OBJECTS) $(test_utils_DEPENDENCIES) $(EXTRA_test_utils_DEPENDENCIES)
867	@rm -f test_utils$(EXEEXT)
868	$(AM_V_CCLD)$(test_utils_LINK) $(test_utils_OBJECTS) $(test_utils_LDADD) $(LIBS)
869
870mostlyclean-compile:
871	-rm -f *.$(OBJEXT)
872
873distclean-compile:
874	-rm -f *.tab.c
875
876@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/helper_fuzzer_demarshallers-generated_test_demarshallers.Po@am__quote@ # am--include-marker
877@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/helper_fuzzer_demarshallers-helper-fuzzer-demarshallers.Po@am__quote@ # am--include-marker
878@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_dummy_recorder-test-dummy-recorder.Po@am__quote@ # am--include-marker
879@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_logging-test-logging.Po@am__quote@ # am--include-marker
880@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_marshallers-generated_test_demarshallers.Po@am__quote@ # am--include-marker
881@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_marshallers-generated_test_marshallers.Po@am__quote@ # am--include-marker
882@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_marshallers-test-marshallers.Po@am__quote@ # am--include-marker
883@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_quic-test-quic.Po@am__quote@ # am--include-marker
884@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_region-test-region.Po@am__quote@ # am--include-marker
885@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_ssl_verify-test-ssl-verify.Po@am__quote@ # am--include-marker
886@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_utils-test-utils.Po@am__quote@ # am--include-marker
887
888$(am__depfiles_remade):
889	@$(MKDIR_P) $(@D)
890	@echo '# dummy' >$@-t && $(am__mv) $@-t $@
891
892am--depfiles: $(am__depfiles_remade)
893
894.c.o:
895@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
896@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
897@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
898@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
899@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
900@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
901
902.c.obj:
903@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
904@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
905@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
906@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
907@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
908@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
909
910.c.lo:
911@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
912@am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
913@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
914@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
915@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
916@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
917
918helper_fuzzer_demarshallers-helper-fuzzer-demarshallers.o: helper-fuzzer-demarshallers.c
919@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(helper_fuzzer_demarshallers_CFLAGS) $(CFLAGS) -MT helper_fuzzer_demarshallers-helper-fuzzer-demarshallers.o -MD -MP -MF $(DEPDIR)/helper_fuzzer_demarshallers-helper-fuzzer-demarshallers.Tpo -c -o helper_fuzzer_demarshallers-helper-fuzzer-demarshallers.o `test -f 'helper-fuzzer-demarshallers.c' || echo '$(srcdir)/'`helper-fuzzer-demarshallers.c
920@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/helper_fuzzer_demarshallers-helper-fuzzer-demarshallers.Tpo $(DEPDIR)/helper_fuzzer_demarshallers-helper-fuzzer-demarshallers.Po
921@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='helper-fuzzer-demarshallers.c' object='helper_fuzzer_demarshallers-helper-fuzzer-demarshallers.o' libtool=no @AMDEPBACKSLASH@
922@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
923@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(helper_fuzzer_demarshallers_CFLAGS) $(CFLAGS) -c -o helper_fuzzer_demarshallers-helper-fuzzer-demarshallers.o `test -f 'helper-fuzzer-demarshallers.c' || echo '$(srcdir)/'`helper-fuzzer-demarshallers.c
924
925helper_fuzzer_demarshallers-helper-fuzzer-demarshallers.obj: helper-fuzzer-demarshallers.c
926@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(helper_fuzzer_demarshallers_CFLAGS) $(CFLAGS) -MT helper_fuzzer_demarshallers-helper-fuzzer-demarshallers.obj -MD -MP -MF $(DEPDIR)/helper_fuzzer_demarshallers-helper-fuzzer-demarshallers.Tpo -c -o helper_fuzzer_demarshallers-helper-fuzzer-demarshallers.obj `if test -f 'helper-fuzzer-demarshallers.c'; then $(CYGPATH_W) 'helper-fuzzer-demarshallers.c'; else $(CYGPATH_W) '$(srcdir)/helper-fuzzer-demarshallers.c'; fi`
927@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/helper_fuzzer_demarshallers-helper-fuzzer-demarshallers.Tpo $(DEPDIR)/helper_fuzzer_demarshallers-helper-fuzzer-demarshallers.Po
928@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='helper-fuzzer-demarshallers.c' object='helper_fuzzer_demarshallers-helper-fuzzer-demarshallers.obj' libtool=no @AMDEPBACKSLASH@
929@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
930@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(helper_fuzzer_demarshallers_CFLAGS) $(CFLAGS) -c -o helper_fuzzer_demarshallers-helper-fuzzer-demarshallers.obj `if test -f 'helper-fuzzer-demarshallers.c'; then $(CYGPATH_W) 'helper-fuzzer-demarshallers.c'; else $(CYGPATH_W) '$(srcdir)/helper-fuzzer-demarshallers.c'; fi`
931
932helper_fuzzer_demarshallers-generated_test_demarshallers.o: generated_test_demarshallers.c
933@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(helper_fuzzer_demarshallers_CFLAGS) $(CFLAGS) -MT helper_fuzzer_demarshallers-generated_test_demarshallers.o -MD -MP -MF $(DEPDIR)/helper_fuzzer_demarshallers-generated_test_demarshallers.Tpo -c -o helper_fuzzer_demarshallers-generated_test_demarshallers.o `test -f 'generated_test_demarshallers.c' || echo '$(srcdir)/'`generated_test_demarshallers.c
934@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/helper_fuzzer_demarshallers-generated_test_demarshallers.Tpo $(DEPDIR)/helper_fuzzer_demarshallers-generated_test_demarshallers.Po
935@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='generated_test_demarshallers.c' object='helper_fuzzer_demarshallers-generated_test_demarshallers.o' libtool=no @AMDEPBACKSLASH@
936@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
937@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(helper_fuzzer_demarshallers_CFLAGS) $(CFLAGS) -c -o helper_fuzzer_demarshallers-generated_test_demarshallers.o `test -f 'generated_test_demarshallers.c' || echo '$(srcdir)/'`generated_test_demarshallers.c
938
939helper_fuzzer_demarshallers-generated_test_demarshallers.obj: generated_test_demarshallers.c
940@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(helper_fuzzer_demarshallers_CFLAGS) $(CFLAGS) -MT helper_fuzzer_demarshallers-generated_test_demarshallers.obj -MD -MP -MF $(DEPDIR)/helper_fuzzer_demarshallers-generated_test_demarshallers.Tpo -c -o helper_fuzzer_demarshallers-generated_test_demarshallers.obj `if test -f 'generated_test_demarshallers.c'; then $(CYGPATH_W) 'generated_test_demarshallers.c'; else $(CYGPATH_W) '$(srcdir)/generated_test_demarshallers.c'; fi`
941@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/helper_fuzzer_demarshallers-generated_test_demarshallers.Tpo $(DEPDIR)/helper_fuzzer_demarshallers-generated_test_demarshallers.Po
942@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='generated_test_demarshallers.c' object='helper_fuzzer_demarshallers-generated_test_demarshallers.obj' libtool=no @AMDEPBACKSLASH@
943@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
944@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(helper_fuzzer_demarshallers_CFLAGS) $(CFLAGS) -c -o helper_fuzzer_demarshallers-generated_test_demarshallers.obj `if test -f 'generated_test_demarshallers.c'; then $(CYGPATH_W) 'generated_test_demarshallers.c'; else $(CYGPATH_W) '$(srcdir)/generated_test_demarshallers.c'; fi`
945
946test_dummy_recorder-test-dummy-recorder.o: test-dummy-recorder.c
947@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_dummy_recorder_CFLAGS) $(CFLAGS) -MT test_dummy_recorder-test-dummy-recorder.o -MD -MP -MF $(DEPDIR)/test_dummy_recorder-test-dummy-recorder.Tpo -c -o test_dummy_recorder-test-dummy-recorder.o `test -f 'test-dummy-recorder.c' || echo '$(srcdir)/'`test-dummy-recorder.c
948@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_dummy_recorder-test-dummy-recorder.Tpo $(DEPDIR)/test_dummy_recorder-test-dummy-recorder.Po
949@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test-dummy-recorder.c' object='test_dummy_recorder-test-dummy-recorder.o' libtool=no @AMDEPBACKSLASH@
950@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
951@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_dummy_recorder_CFLAGS) $(CFLAGS) -c -o test_dummy_recorder-test-dummy-recorder.o `test -f 'test-dummy-recorder.c' || echo '$(srcdir)/'`test-dummy-recorder.c
952
953test_dummy_recorder-test-dummy-recorder.obj: test-dummy-recorder.c
954@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_dummy_recorder_CFLAGS) $(CFLAGS) -MT test_dummy_recorder-test-dummy-recorder.obj -MD -MP -MF $(DEPDIR)/test_dummy_recorder-test-dummy-recorder.Tpo -c -o test_dummy_recorder-test-dummy-recorder.obj `if test -f 'test-dummy-recorder.c'; then $(CYGPATH_W) 'test-dummy-recorder.c'; else $(CYGPATH_W) '$(srcdir)/test-dummy-recorder.c'; fi`
955@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_dummy_recorder-test-dummy-recorder.Tpo $(DEPDIR)/test_dummy_recorder-test-dummy-recorder.Po
956@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test-dummy-recorder.c' object='test_dummy_recorder-test-dummy-recorder.obj' libtool=no @AMDEPBACKSLASH@
957@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
958@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_dummy_recorder_CFLAGS) $(CFLAGS) -c -o test_dummy_recorder-test-dummy-recorder.obj `if test -f 'test-dummy-recorder.c'; then $(CYGPATH_W) 'test-dummy-recorder.c'; else $(CYGPATH_W) '$(srcdir)/test-dummy-recorder.c'; fi`
959
960test_logging-test-logging.o: test-logging.c
961@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_logging_CFLAGS) $(CFLAGS) -MT test_logging-test-logging.o -MD -MP -MF $(DEPDIR)/test_logging-test-logging.Tpo -c -o test_logging-test-logging.o `test -f 'test-logging.c' || echo '$(srcdir)/'`test-logging.c
962@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_logging-test-logging.Tpo $(DEPDIR)/test_logging-test-logging.Po
963@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test-logging.c' object='test_logging-test-logging.o' libtool=no @AMDEPBACKSLASH@
964@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
965@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_logging_CFLAGS) $(CFLAGS) -c -o test_logging-test-logging.o `test -f 'test-logging.c' || echo '$(srcdir)/'`test-logging.c
966
967test_logging-test-logging.obj: test-logging.c
968@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_logging_CFLAGS) $(CFLAGS) -MT test_logging-test-logging.obj -MD -MP -MF $(DEPDIR)/test_logging-test-logging.Tpo -c -o test_logging-test-logging.obj `if test -f 'test-logging.c'; then $(CYGPATH_W) 'test-logging.c'; else $(CYGPATH_W) '$(srcdir)/test-logging.c'; fi`
969@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_logging-test-logging.Tpo $(DEPDIR)/test_logging-test-logging.Po
970@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test-logging.c' object='test_logging-test-logging.obj' libtool=no @AMDEPBACKSLASH@
971@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
972@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_logging_CFLAGS) $(CFLAGS) -c -o test_logging-test-logging.obj `if test -f 'test-logging.c'; then $(CYGPATH_W) 'test-logging.c'; else $(CYGPATH_W) '$(srcdir)/test-logging.c'; fi`
973
974test_marshallers-generated_test_marshallers.o: generated_test_marshallers.c
975@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_marshallers_CFLAGS) $(CFLAGS) -MT test_marshallers-generated_test_marshallers.o -MD -MP -MF $(DEPDIR)/test_marshallers-generated_test_marshallers.Tpo -c -o test_marshallers-generated_test_marshallers.o `test -f 'generated_test_marshallers.c' || echo '$(srcdir)/'`generated_test_marshallers.c
976@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_marshallers-generated_test_marshallers.Tpo $(DEPDIR)/test_marshallers-generated_test_marshallers.Po
977@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='generated_test_marshallers.c' object='test_marshallers-generated_test_marshallers.o' libtool=no @AMDEPBACKSLASH@
978@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
979@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_marshallers_CFLAGS) $(CFLAGS) -c -o test_marshallers-generated_test_marshallers.o `test -f 'generated_test_marshallers.c' || echo '$(srcdir)/'`generated_test_marshallers.c
980
981test_marshallers-generated_test_marshallers.obj: generated_test_marshallers.c
982@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_marshallers_CFLAGS) $(CFLAGS) -MT test_marshallers-generated_test_marshallers.obj -MD -MP -MF $(DEPDIR)/test_marshallers-generated_test_marshallers.Tpo -c -o test_marshallers-generated_test_marshallers.obj `if test -f 'generated_test_marshallers.c'; then $(CYGPATH_W) 'generated_test_marshallers.c'; else $(CYGPATH_W) '$(srcdir)/generated_test_marshallers.c'; fi`
983@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_marshallers-generated_test_marshallers.Tpo $(DEPDIR)/test_marshallers-generated_test_marshallers.Po
984@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='generated_test_marshallers.c' object='test_marshallers-generated_test_marshallers.obj' libtool=no @AMDEPBACKSLASH@
985@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
986@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_marshallers_CFLAGS) $(CFLAGS) -c -o test_marshallers-generated_test_marshallers.obj `if test -f 'generated_test_marshallers.c'; then $(CYGPATH_W) 'generated_test_marshallers.c'; else $(CYGPATH_W) '$(srcdir)/generated_test_marshallers.c'; fi`
987
988test_marshallers-generated_test_demarshallers.o: generated_test_demarshallers.c
989@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_marshallers_CFLAGS) $(CFLAGS) -MT test_marshallers-generated_test_demarshallers.o -MD -MP -MF $(DEPDIR)/test_marshallers-generated_test_demarshallers.Tpo -c -o test_marshallers-generated_test_demarshallers.o `test -f 'generated_test_demarshallers.c' || echo '$(srcdir)/'`generated_test_demarshallers.c
990@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_marshallers-generated_test_demarshallers.Tpo $(DEPDIR)/test_marshallers-generated_test_demarshallers.Po
991@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='generated_test_demarshallers.c' object='test_marshallers-generated_test_demarshallers.o' libtool=no @AMDEPBACKSLASH@
992@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
993@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_marshallers_CFLAGS) $(CFLAGS) -c -o test_marshallers-generated_test_demarshallers.o `test -f 'generated_test_demarshallers.c' || echo '$(srcdir)/'`generated_test_demarshallers.c
994
995test_marshallers-generated_test_demarshallers.obj: generated_test_demarshallers.c
996@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_marshallers_CFLAGS) $(CFLAGS) -MT test_marshallers-generated_test_demarshallers.obj -MD -MP -MF $(DEPDIR)/test_marshallers-generated_test_demarshallers.Tpo -c -o test_marshallers-generated_test_demarshallers.obj `if test -f 'generated_test_demarshallers.c'; then $(CYGPATH_W) 'generated_test_demarshallers.c'; else $(CYGPATH_W) '$(srcdir)/generated_test_demarshallers.c'; fi`
997@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_marshallers-generated_test_demarshallers.Tpo $(DEPDIR)/test_marshallers-generated_test_demarshallers.Po
998@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='generated_test_demarshallers.c' object='test_marshallers-generated_test_demarshallers.obj' libtool=no @AMDEPBACKSLASH@
999@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1000@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_marshallers_CFLAGS) $(CFLAGS) -c -o test_marshallers-generated_test_demarshallers.obj `if test -f 'generated_test_demarshallers.c'; then $(CYGPATH_W) 'generated_test_demarshallers.c'; else $(CYGPATH_W) '$(srcdir)/generated_test_demarshallers.c'; fi`
1001
1002test_marshallers-test-marshallers.o: test-marshallers.c
1003@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_marshallers_CFLAGS) $(CFLAGS) -MT test_marshallers-test-marshallers.o -MD -MP -MF $(DEPDIR)/test_marshallers-test-marshallers.Tpo -c -o test_marshallers-test-marshallers.o `test -f 'test-marshallers.c' || echo '$(srcdir)/'`test-marshallers.c
1004@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_marshallers-test-marshallers.Tpo $(DEPDIR)/test_marshallers-test-marshallers.Po
1005@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test-marshallers.c' object='test_marshallers-test-marshallers.o' libtool=no @AMDEPBACKSLASH@
1006@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1007@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_marshallers_CFLAGS) $(CFLAGS) -c -o test_marshallers-test-marshallers.o `test -f 'test-marshallers.c' || echo '$(srcdir)/'`test-marshallers.c
1008
1009test_marshallers-test-marshallers.obj: test-marshallers.c
1010@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_marshallers_CFLAGS) $(CFLAGS) -MT test_marshallers-test-marshallers.obj -MD -MP -MF $(DEPDIR)/test_marshallers-test-marshallers.Tpo -c -o test_marshallers-test-marshallers.obj `if test -f 'test-marshallers.c'; then $(CYGPATH_W) 'test-marshallers.c'; else $(CYGPATH_W) '$(srcdir)/test-marshallers.c'; fi`
1011@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_marshallers-test-marshallers.Tpo $(DEPDIR)/test_marshallers-test-marshallers.Po
1012@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test-marshallers.c' object='test_marshallers-test-marshallers.obj' libtool=no @AMDEPBACKSLASH@
1013@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1014@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_marshallers_CFLAGS) $(CFLAGS) -c -o test_marshallers-test-marshallers.obj `if test -f 'test-marshallers.c'; then $(CYGPATH_W) 'test-marshallers.c'; else $(CYGPATH_W) '$(srcdir)/test-marshallers.c'; fi`
1015
1016test_quic-test-quic.o: test-quic.c
1017@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_quic_CFLAGS) $(CFLAGS) -MT test_quic-test-quic.o -MD -MP -MF $(DEPDIR)/test_quic-test-quic.Tpo -c -o test_quic-test-quic.o `test -f 'test-quic.c' || echo '$(srcdir)/'`test-quic.c
1018@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_quic-test-quic.Tpo $(DEPDIR)/test_quic-test-quic.Po
1019@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test-quic.c' object='test_quic-test-quic.o' libtool=no @AMDEPBACKSLASH@
1020@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1021@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_quic_CFLAGS) $(CFLAGS) -c -o test_quic-test-quic.o `test -f 'test-quic.c' || echo '$(srcdir)/'`test-quic.c
1022
1023test_quic-test-quic.obj: test-quic.c
1024@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_quic_CFLAGS) $(CFLAGS) -MT test_quic-test-quic.obj -MD -MP -MF $(DEPDIR)/test_quic-test-quic.Tpo -c -o test_quic-test-quic.obj `if test -f 'test-quic.c'; then $(CYGPATH_W) 'test-quic.c'; else $(CYGPATH_W) '$(srcdir)/test-quic.c'; fi`
1025@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_quic-test-quic.Tpo $(DEPDIR)/test_quic-test-quic.Po
1026@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test-quic.c' object='test_quic-test-quic.obj' libtool=no @AMDEPBACKSLASH@
1027@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1028@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_quic_CFLAGS) $(CFLAGS) -c -o test_quic-test-quic.obj `if test -f 'test-quic.c'; then $(CYGPATH_W) 'test-quic.c'; else $(CYGPATH_W) '$(srcdir)/test-quic.c'; fi`
1029
1030test_region-test-region.o: test-region.c
1031@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_region_CFLAGS) $(CFLAGS) -MT test_region-test-region.o -MD -MP -MF $(DEPDIR)/test_region-test-region.Tpo -c -o test_region-test-region.o `test -f 'test-region.c' || echo '$(srcdir)/'`test-region.c
1032@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_region-test-region.Tpo $(DEPDIR)/test_region-test-region.Po
1033@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test-region.c' object='test_region-test-region.o' libtool=no @AMDEPBACKSLASH@
1034@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1035@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_region_CFLAGS) $(CFLAGS) -c -o test_region-test-region.o `test -f 'test-region.c' || echo '$(srcdir)/'`test-region.c
1036
1037test_region-test-region.obj: test-region.c
1038@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_region_CFLAGS) $(CFLAGS) -MT test_region-test-region.obj -MD -MP -MF $(DEPDIR)/test_region-test-region.Tpo -c -o test_region-test-region.obj `if test -f 'test-region.c'; then $(CYGPATH_W) 'test-region.c'; else $(CYGPATH_W) '$(srcdir)/test-region.c'; fi`
1039@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_region-test-region.Tpo $(DEPDIR)/test_region-test-region.Po
1040@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test-region.c' object='test_region-test-region.obj' libtool=no @AMDEPBACKSLASH@
1041@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1042@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_region_CFLAGS) $(CFLAGS) -c -o test_region-test-region.obj `if test -f 'test-region.c'; then $(CYGPATH_W) 'test-region.c'; else $(CYGPATH_W) '$(srcdir)/test-region.c'; fi`
1043
1044test_ssl_verify-test-ssl-verify.o: test-ssl-verify.c
1045@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_ssl_verify_CFLAGS) $(CFLAGS) -MT test_ssl_verify-test-ssl-verify.o -MD -MP -MF $(DEPDIR)/test_ssl_verify-test-ssl-verify.Tpo -c -o test_ssl_verify-test-ssl-verify.o `test -f 'test-ssl-verify.c' || echo '$(srcdir)/'`test-ssl-verify.c
1046@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_ssl_verify-test-ssl-verify.Tpo $(DEPDIR)/test_ssl_verify-test-ssl-verify.Po
1047@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test-ssl-verify.c' object='test_ssl_verify-test-ssl-verify.o' libtool=no @AMDEPBACKSLASH@
1048@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1049@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_ssl_verify_CFLAGS) $(CFLAGS) -c -o test_ssl_verify-test-ssl-verify.o `test -f 'test-ssl-verify.c' || echo '$(srcdir)/'`test-ssl-verify.c
1050
1051test_ssl_verify-test-ssl-verify.obj: test-ssl-verify.c
1052@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_ssl_verify_CFLAGS) $(CFLAGS) -MT test_ssl_verify-test-ssl-verify.obj -MD -MP -MF $(DEPDIR)/test_ssl_verify-test-ssl-verify.Tpo -c -o test_ssl_verify-test-ssl-verify.obj `if test -f 'test-ssl-verify.c'; then $(CYGPATH_W) 'test-ssl-verify.c'; else $(CYGPATH_W) '$(srcdir)/test-ssl-verify.c'; fi`
1053@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_ssl_verify-test-ssl-verify.Tpo $(DEPDIR)/test_ssl_verify-test-ssl-verify.Po
1054@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test-ssl-verify.c' object='test_ssl_verify-test-ssl-verify.obj' libtool=no @AMDEPBACKSLASH@
1055@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1056@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_ssl_verify_CFLAGS) $(CFLAGS) -c -o test_ssl_verify-test-ssl-verify.obj `if test -f 'test-ssl-verify.c'; then $(CYGPATH_W) 'test-ssl-verify.c'; else $(CYGPATH_W) '$(srcdir)/test-ssl-verify.c'; fi`
1057
1058test_utils-test-utils.o: test-utils.c
1059@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_utils_CFLAGS) $(CFLAGS) -MT test_utils-test-utils.o -MD -MP -MF $(DEPDIR)/test_utils-test-utils.Tpo -c -o test_utils-test-utils.o `test -f 'test-utils.c' || echo '$(srcdir)/'`test-utils.c
1060@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_utils-test-utils.Tpo $(DEPDIR)/test_utils-test-utils.Po
1061@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test-utils.c' object='test_utils-test-utils.o' libtool=no @AMDEPBACKSLASH@
1062@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1063@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_utils_CFLAGS) $(CFLAGS) -c -o test_utils-test-utils.o `test -f 'test-utils.c' || echo '$(srcdir)/'`test-utils.c
1064
1065test_utils-test-utils.obj: test-utils.c
1066@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_utils_CFLAGS) $(CFLAGS) -MT test_utils-test-utils.obj -MD -MP -MF $(DEPDIR)/test_utils-test-utils.Tpo -c -o test_utils-test-utils.obj `if test -f 'test-utils.c'; then $(CYGPATH_W) 'test-utils.c'; else $(CYGPATH_W) '$(srcdir)/test-utils.c'; fi`
1067@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_utils-test-utils.Tpo $(DEPDIR)/test_utils-test-utils.Po
1068@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test-utils.c' object='test_utils-test-utils.obj' libtool=no @AMDEPBACKSLASH@
1069@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1070@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_utils_CFLAGS) $(CFLAGS) -c -o test_utils-test-utils.obj `if test -f 'test-utils.c'; then $(CYGPATH_W) 'test-utils.c'; else $(CYGPATH_W) '$(srcdir)/test-utils.c'; fi`
1071
1072mostlyclean-libtool:
1073	-rm -f *.lo
1074
1075clean-libtool:
1076	-rm -rf .libs _libs
1077
1078ID: $(am__tagged_files)
1079	$(am__define_uniq_tagged_files); mkid -fID $$unique
1080tags: tags-am
1081TAGS: tags
1082
1083tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1084	set x; \
1085	here=`pwd`; \
1086	$(am__define_uniq_tagged_files); \
1087	shift; \
1088	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1089	  test -n "$$unique" || unique=$$empty_fix; \
1090	  if test $$# -gt 0; then \
1091	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1092	      "$$@" $$unique; \
1093	  else \
1094	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1095	      $$unique; \
1096	  fi; \
1097	fi
1098ctags: ctags-am
1099
1100CTAGS: ctags
1101ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1102	$(am__define_uniq_tagged_files); \
1103	test -z "$(CTAGS_ARGS)$$unique" \
1104	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1105	     $$unique
1106
1107GTAGS:
1108	here=`$(am__cd) $(top_builddir) && pwd` \
1109	  && $(am__cd) $(top_srcdir) \
1110	  && gtags -i $(GTAGS_ARGS) "$$here"
1111cscopelist: cscopelist-am
1112
1113cscopelist-am: $(am__tagged_files)
1114	list='$(am__tagged_files)'; \
1115	case "$(srcdir)" in \
1116	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1117	  *) sdir=$(subdir)/$(srcdir) ;; \
1118	esac; \
1119	for i in $$list; do \
1120	  if test -f "$$i"; then \
1121	    echo "$(subdir)/$$i"; \
1122	  else \
1123	    echo "$$sdir/$$i"; \
1124	  fi; \
1125	done >> $(top_builddir)/cscope.files
1126
1127distclean-tags:
1128	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1129
1130# Recover from deleted '.trs' file; this should ensure that
1131# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1132# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
1133# to avoid problems with "make -n".
1134.log.trs:
1135	rm -f $< $@
1136	$(MAKE) $(AM_MAKEFLAGS) $<
1137
1138# Leading 'am--fnord' is there to ensure the list of targets does not
1139# expand to empty, as could happen e.g. with make check TESTS=''.
1140am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1141am--force-recheck:
1142	@:
1143
1144$(TEST_SUITE_LOG): $(TEST_LOGS)
1145	@$(am__set_TESTS_bases); \
1146	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1147	redo_bases=`for i in $$bases; do \
1148	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1149	            done`; \
1150	if test -n "$$redo_bases"; then \
1151	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1152	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1153	  if $(am__make_dryrun); then :; else \
1154	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1155	  fi; \
1156	fi; \
1157	if test -n "$$am__remaking_logs"; then \
1158	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1159	       "recursion detected" >&2; \
1160	elif test -n "$$redo_logs"; then \
1161	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1162	fi; \
1163	if $(am__make_dryrun); then :; else \
1164	  st=0;  \
1165	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1166	  for i in $$redo_bases; do \
1167	    test -f $$i.trs && test -r $$i.trs \
1168	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1169	    test -f $$i.log && test -r $$i.log \
1170	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1171	  done; \
1172	  test $$st -eq 0 || exit 1; \
1173	fi
1174	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1175	ws='[ 	]'; \
1176	results=`for b in $$bases; do echo $$b.trs; done`; \
1177	test -n "$$results" || results=/dev/null; \
1178	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1179	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1180	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1181	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1182	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1183	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1184	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1185	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1186	  success=true; \
1187	else \
1188	  success=false; \
1189	fi; \
1190	br='==================='; br=$$br$$br$$br$$br; \
1191	result_count () \
1192	{ \
1193	    if test x"$$1" = x"--maybe-color"; then \
1194	      maybe_colorize=yes; \
1195	    elif test x"$$1" = x"--no-color"; then \
1196	      maybe_colorize=no; \
1197	    else \
1198	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1199	    fi; \
1200	    shift; \
1201	    desc=$$1 count=$$2; \
1202	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
1203	      color_start=$$3 color_end=$$std; \
1204	    else \
1205	      color_start= color_end=; \
1206	    fi; \
1207	    echo "$${color_start}# $$desc $$count$${color_end}"; \
1208	}; \
1209	create_testsuite_report () \
1210	{ \
1211	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
1212	  result_count $$1 "PASS: " $$pass  "$$grn"; \
1213	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
1214	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1215	  result_count $$1 "FAIL: " $$fail  "$$red"; \
1216	  result_count $$1 "XPASS:" $$xpass "$$red"; \
1217	  result_count $$1 "ERROR:" $$error "$$mgn"; \
1218	}; \
1219	{								\
1220	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
1221	    $(am__rst_title);						\
1222	  create_testsuite_report --no-color;				\
1223	  echo;								\
1224	  echo ".. contents:: :depth: 2";				\
1225	  echo;								\
1226	  for b in $$bases; do echo $$b; done				\
1227	    | $(am__create_global_log);					\
1228	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
1229	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
1230	if $$success; then						\
1231	  col="$$grn";							\
1232	 else								\
1233	  col="$$red";							\
1234	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
1235	fi;								\
1236	echo "$${col}$$br$${std}"; 					\
1237	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
1238	echo "$${col}$$br$${std}"; 					\
1239	create_testsuite_report --maybe-color;				\
1240	echo "$$col$$br$$std";						\
1241	if $$success; then :; else					\
1242	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
1243	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
1244	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
1245	  fi;								\
1246	  echo "$$col$$br$$std";					\
1247	fi;								\
1248	$$success || exit 1
1249
1250check-TESTS:
1251	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1252	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1253	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1254	@set +e; $(am__set_TESTS_bases); \
1255	log_list=`for i in $$bases; do echo $$i.log; done`; \
1256	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1257	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1258	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1259	exit $$?;
1260recheck: all
1261	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1262	@set +e; $(am__set_TESTS_bases); \
1263	bases=`for i in $$bases; do echo $$i; done \
1264	         | $(am__list_recheck_tests)` || exit 1; \
1265	log_list=`for i in $$bases; do echo $$i.log; done`; \
1266	log_list=`echo $$log_list`; \
1267	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1268	        am__force_recheck=am--force-recheck \
1269	        TEST_LOGS="$$log_list"; \
1270	exit $$?
1271test_logging.log: test_logging$(EXEEXT)
1272	@p='test_logging$(EXEEXT)'; \
1273	b='test_logging'; \
1274	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1275	--log-file $$b.log --trs-file $$b.trs \
1276	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1277	"$$tst" $(AM_TESTS_FD_REDIRECT)
1278test_marshallers.log: test_marshallers$(EXEEXT)
1279	@p='test_marshallers$(EXEEXT)'; \
1280	b='test_marshallers'; \
1281	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1282	--log-file $$b.log --trs-file $$b.trs \
1283	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1284	"$$tst" $(AM_TESTS_FD_REDIRECT)
1285test_ssl_verify.log: test_ssl_verify$(EXEEXT)
1286	@p='test_ssl_verify$(EXEEXT)'; \
1287	b='test_ssl_verify'; \
1288	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1289	--log-file $$b.log --trs-file $$b.trs \
1290	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1291	"$$tst" $(AM_TESTS_FD_REDIRECT)
1292test_quic.log: test_quic$(EXEEXT)
1293	@p='test_quic$(EXEEXT)'; \
1294	b='test_quic'; \
1295	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1296	--log-file $$b.log --trs-file $$b.trs \
1297	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1298	"$$tst" $(AM_TESTS_FD_REDIRECT)
1299test_region.log: test_region$(EXEEXT)
1300	@p='test_region$(EXEEXT)'; \
1301	b='test_region'; \
1302	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1303	--log-file $$b.log --trs-file $$b.trs \
1304	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1305	"$$tst" $(AM_TESTS_FD_REDIRECT)
1306test_dummy_recorder.log: test_dummy_recorder$(EXEEXT)
1307	@p='test_dummy_recorder$(EXEEXT)'; \
1308	b='test_dummy_recorder'; \
1309	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1310	--log-file $$b.log --trs-file $$b.trs \
1311	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1312	"$$tst" $(AM_TESTS_FD_REDIRECT)
1313test_utils.log: test_utils$(EXEEXT)
1314	@p='test_utils$(EXEEXT)'; \
1315	b='test_utils'; \
1316	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1317	--log-file $$b.log --trs-file $$b.trs \
1318	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1319	"$$tst" $(AM_TESTS_FD_REDIRECT)
1320.test.log:
1321	@p='$<'; \
1322	$(am__set_b); \
1323	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1324	--log-file $$b.log --trs-file $$b.trs \
1325	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1326	"$$tst" $(AM_TESTS_FD_REDIRECT)
1327@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1328@am__EXEEXT_TRUE@	@p='$<'; \
1329@am__EXEEXT_TRUE@	$(am__set_b); \
1330@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1331@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
1332@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1333@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
1334
1335distdir: $(BUILT_SOURCES)
1336	$(MAKE) $(AM_MAKEFLAGS) distdir-am
1337
1338distdir-am: $(DISTFILES)
1339	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1340	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1341	list='$(DISTFILES)'; \
1342	  dist_files=`for file in $$list; do echo $$file; done | \
1343	  sed -e "s|^$$srcdirstrip/||;t" \
1344	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1345	case $$dist_files in \
1346	  */*) $(MKDIR_P) `echo "$$dist_files" | \
1347			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1348			   sort -u` ;; \
1349	esac; \
1350	for file in $$dist_files; do \
1351	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1352	  if test -d $$d/$$file; then \
1353	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1354	    if test -d "$(distdir)/$$file"; then \
1355	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1356	    fi; \
1357	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1358	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1359	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1360	    fi; \
1361	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1362	  else \
1363	    test -f "$(distdir)/$$file" \
1364	    || cp -p $$d/$$file "$(distdir)/$$file" \
1365	    || exit 1; \
1366	  fi; \
1367	done
1368check-am: all-am
1369	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
1370check: $(BUILT_SOURCES)
1371	$(MAKE) $(AM_MAKEFLAGS) check-am
1372all-am: Makefile $(PROGRAMS)
1373installdirs:
1374install: $(BUILT_SOURCES)
1375	$(MAKE) $(AM_MAKEFLAGS) install-am
1376install-exec: install-exec-am
1377install-data: install-data-am
1378uninstall: uninstall-am
1379
1380install-am: all-am
1381	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1382
1383installcheck: installcheck-am
1384install-strip:
1385	if test -z '$(STRIP)'; then \
1386	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1387	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1388	      install; \
1389	else \
1390	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1391	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1392	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1393	fi
1394mostlyclean-generic:
1395	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1396	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1397	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1398
1399clean-generic:
1400
1401distclean-generic:
1402	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1403	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1404
1405maintainer-clean-generic:
1406	@echo "This command is intended for maintainers to use"
1407	@echo "it deletes files that may require special tools to rebuild."
1408	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1409clean: clean-am
1410
1411clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
1412	mostlyclean-am
1413
1414distclean: distclean-am
1415		-rm -f ./$(DEPDIR)/helper_fuzzer_demarshallers-generated_test_demarshallers.Po
1416	-rm -f ./$(DEPDIR)/helper_fuzzer_demarshallers-helper-fuzzer-demarshallers.Po
1417	-rm -f ./$(DEPDIR)/test_dummy_recorder-test-dummy-recorder.Po
1418	-rm -f ./$(DEPDIR)/test_logging-test-logging.Po
1419	-rm -f ./$(DEPDIR)/test_marshallers-generated_test_demarshallers.Po
1420	-rm -f ./$(DEPDIR)/test_marshallers-generated_test_marshallers.Po
1421	-rm -f ./$(DEPDIR)/test_marshallers-test-marshallers.Po
1422	-rm -f ./$(DEPDIR)/test_quic-test-quic.Po
1423	-rm -f ./$(DEPDIR)/test_region-test-region.Po
1424	-rm -f ./$(DEPDIR)/test_ssl_verify-test-ssl-verify.Po
1425	-rm -f ./$(DEPDIR)/test_utils-test-utils.Po
1426	-rm -f Makefile
1427distclean-am: clean-am distclean-compile distclean-generic \
1428	distclean-tags
1429
1430dvi: dvi-am
1431
1432dvi-am:
1433
1434html: html-am
1435
1436html-am:
1437
1438info: info-am
1439
1440info-am:
1441
1442install-data-am:
1443
1444install-dvi: install-dvi-am
1445
1446install-dvi-am:
1447
1448install-exec-am:
1449
1450install-html: install-html-am
1451
1452install-html-am:
1453
1454install-info: install-info-am
1455
1456install-info-am:
1457
1458install-man:
1459
1460install-pdf: install-pdf-am
1461
1462install-pdf-am:
1463
1464install-ps: install-ps-am
1465
1466install-ps-am:
1467
1468installcheck-am:
1469
1470maintainer-clean: maintainer-clean-am
1471		-rm -f ./$(DEPDIR)/helper_fuzzer_demarshallers-generated_test_demarshallers.Po
1472	-rm -f ./$(DEPDIR)/helper_fuzzer_demarshallers-helper-fuzzer-demarshallers.Po
1473	-rm -f ./$(DEPDIR)/test_dummy_recorder-test-dummy-recorder.Po
1474	-rm -f ./$(DEPDIR)/test_logging-test-logging.Po
1475	-rm -f ./$(DEPDIR)/test_marshallers-generated_test_demarshallers.Po
1476	-rm -f ./$(DEPDIR)/test_marshallers-generated_test_marshallers.Po
1477	-rm -f ./$(DEPDIR)/test_marshallers-test-marshallers.Po
1478	-rm -f ./$(DEPDIR)/test_quic-test-quic.Po
1479	-rm -f ./$(DEPDIR)/test_region-test-region.Po
1480	-rm -f ./$(DEPDIR)/test_ssl_verify-test-ssl-verify.Po
1481	-rm -f ./$(DEPDIR)/test_utils-test-utils.Po
1482	-rm -f Makefile
1483maintainer-clean-am: distclean-am maintainer-clean-generic
1484
1485mostlyclean: mostlyclean-am
1486
1487mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1488	mostlyclean-libtool
1489
1490pdf: pdf-am
1491
1492pdf-am:
1493
1494ps: ps-am
1495
1496ps-am:
1497
1498uninstall-am:
1499
1500.MAKE: all check check-am install install-am install-strip
1501
1502.PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
1503	check-am clean clean-generic clean-libtool \
1504	clean-noinstPROGRAMS cscopelist-am ctags ctags-am distclean \
1505	distclean-compile distclean-generic distclean-libtool \
1506	distclean-tags distdir dvi dvi-am html html-am info info-am \
1507	install install-am install-data install-data-am install-dvi \
1508	install-dvi-am install-exec install-exec-am install-html \
1509	install-html-am install-info install-info-am install-man \
1510	install-pdf install-pdf-am install-ps install-ps-am \
1511	install-strip installcheck installcheck-am installdirs \
1512	maintainer-clean maintainer-clean-generic mostlyclean \
1513	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1514	pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1515	uninstall-am
1516
1517.PRECIOUS: Makefile
1518
1519
1520# Note despite being autogenerated these are not part of CLEANFILES, they are
1521# actually a part of EXTRA_DIST, to avoid the need for pyparser by end users
1522generated_test_marshallers.c: $(srcdir)/test-marshallers.proto $(MARSHALLERS_DEPS)
1523	$(AM_V_GEN)$(PYTHON) $(top_srcdir)/spice_codegen.py --suffix=_test \
1524	--generate-marshallers --server --include test-marshallers.h $< $@ >/dev/null
1525generated_test_marshallers.h: $(srcdir)/test-marshallers.proto $(MARSHALLERS_DEPS)
1526	$(AM_V_GEN)$(PYTHON) $(top_srcdir)/spice_codegen.py --suffix=_test \
1527	--generate-marshallers --server --include test-marshallers.h -H $< $@ >/dev/null
1528generated_test_demarshallers.c: $(srcdir)/test-marshallers.proto $(MARSHALLERS_DEPS)
1529	$(AM_V_GEN)$(PYTHON) $(top_srcdir)/spice_codegen.py --suffix=_test \
1530	--generate-demarshallers --client --include test-marshallers.h \
1531	--generated-declaration-file generated_test_messages.h $< $@ >/dev/null
1532generated_test_enums.h: $(srcdir)/test-marshallers.proto $(MARSHALLERS_DEPS)
1533	$(AM_V_GEN)$(PYTHON) $(top_srcdir)/spice_codegen.py --suffix=_test \
1534	-e $< $@ >/dev/null
1535
1536-include $(top_srcdir)/git.mk
1537
1538# Tell versions [3.59,3.63) of GNU make to not export all variables.
1539# Otherwise a system limit (for SysV at least) may be exceeded.
1540.NOEXPORT:
1541